<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        tools:ignore="MissingConstraints">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:text="Preview"
            android:textColor="#ff000000"
            android:textSize="19sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <ImageView
            android:id="@+id/fanhui"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="18dp"
            android:src="@mipmap/fanhui"
            app:tint="@color/black"
            tools:ignore="ContentDescription,RtlHardcoded" />
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/bottom_layout"
        android:layout_below="@+id/title_layout"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/preview_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/size_layout"
            android:background="#F2F5FF">

            <RelativeLayout
                android:id="@+id/preview_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone">

                <TextView
                    android:id="@+id/left_button"
                    android:layout_width="60dp"
                    android:layout_height="24dp"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="16dp"
                    android:background="@drawable/btn_white_r12"
                    android:gravity="center"
                    android:text="Before"
                    android:textColor="#666666"
                    android:textSize="12sp"
                    tools:ignore="HardcodedText,RtlHardcoded" />

                <TextView
                    android:id="@+id/right_button"
                    android:layout_width="60dp"
                    android:layout_height="24dp"
                    android:layout_alignParentEnd="true"
                    android:layout_marginTop="16dp"
                    android:layout_marginEnd="16dp"
                    android:background="@drawable/btn_white_r12"
                    android:gravity="center"
                    android:text="After"
                    android:textColor="#666666"
                    android:textSize="12sp"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:id="@+id/before_image"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="16dp"
                    android:layout_toStartOf="@+id/line"
                    tools:ignore="ContentDescription" />

                <ImageView
                    android:id="@+id/after_image"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginRight="16dp"
                    android:layout_toRightOf="@+id/line"
                    tools:ignore="ContentDescription,RtlHardcoded" />

                <View
                    android:id="@+id/line"
                    android:layout_width="6dp"
                    android:layout_height="match_parent"
                    android:layout_centerHorizontal="true"
                    android:background="@color/white" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:layout_centerVertical="true"
                    android:background="@drawable/yuanicon"
                    tools:ignore="ContentDescription" />
            </RelativeLayout>

            <!--suppress AndroidElementNotAllowed -->
            <ProgressBar
                android:id="@+id/img_loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:indeterminate="true"
                android:indeterminateTint="@color/loading_color" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/size_layout"
            android:layout_width="match_parent"
            android:layout_height="23dp"
            android:layout_above="@+id/galleryRecyclerView"
            android:background="#999999">

            <TextView
                android:id="@+id/before_size"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="21dp"
                android:layout_toLeftOf="@+id/jiantou"
                android:text="37.322 KB"
                android:textColor="#fffefefe"
                android:textSize="12sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText,RtlHardcoded" />

            <ImageView
                android:id="@+id/jiantou"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:background="@drawable/jiantou"
                tools:ignore="ContentDescription" />

            <TextView
                android:id="@+id/after_size"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="21dp"
                android:layout_toEndOf="@+id/jiantou"
                android:text="40.270 KB"
                android:textColor="#fffefefe"
                android:textSize="12sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </RelativeLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/galleryRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="72dp"
            android:layout_alignParentBottom="true"
            android:background="#F2F5FF"
            android:clipToPadding="false"
            android:scrollbars="none" />

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/bottom_layout"
        android:layout_width="match_parent"
        android:layout_height="170dp"
        android:layout_alignParentBottom="true"
        android:background="@color/white"
        android:orientation="vertical"
        android:paddingTop="21dp">


        <SeekBar
            android:id="@+id/seekBar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:max="100"
            android:progress="50"
            android:progressDrawable="@drawable/seekbar_bg"
            android:thumb="@drawable/preview" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="start"
                android:layout_marginStart="16dp"
                android:text="Best photo quality"
                android:textColor="#ff000000"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:layout_marginEnd="16dp"
                android:text="Most space saved"
                android:textColor="#ff000000"
                android:textSize="14sp"
                tools:ignore="HardcodedText" />

        </FrameLayout>

        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_above="@+id/btn_compress"
            android:layout_marginTop="5dp"
            android:background="#EEEEEE"
            tools:ignore="ObsoleteLayoutParam" />

        <com.noober.background.view.BLTextView
            android:id="@+id/btn_compress"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginHorizontal="40dp"
            android:layout_marginTop="15dp"
            android:background="@drawable/btn_blue_bg"
            android:gravity="center"
            android:text="COMPRESS ALL"
            android:textColor="#ffffffff"
            android:textSize="19sp"
            android:textStyle="bold"
            app:bl_corners_radius="5dp"
            app:bl_solid_color="@color/theme_color"
            tools:ignore="HardcodedText" />
    </LinearLayout>

</RelativeLayout>